BytesReadTracker (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.utils
Class BytesReadTracker

    java.lang.Object
      org.apache.cassandra.utils.BytesReadTracker

All Implemented Interfaces:
  java.io.DataInput

    public class BytesReadTracker

extends java.lang.Object
implements java.io.DataInput

This class is to track bytes read from given DataInput

Constructor Summary
`BytesReadTracker(java.io.DataInput source)`

Method Summary
`long` | `getBytesRead()`
`boolean` | `readBoolean()`
`byte` | `readByte()`
`char` | `readChar()`
`double` | `readDouble()`
`float` | `readFloat()`
`void` | `readFully(byte[] b)`
`void` | `readFully(byte[] b, int off, int len)`
`int` | `readInt()`
`java.lang.String` | `readLine()`
`long` | `readLong()`
`short` | `readShort()`
`int` | `readUnsignedByte()`
`int` | `readUnsignedShort()`
`java.lang.String` | `readUTF()`
`void` | `reset(long count)` reset counter to @param count
`int` | `skipBytes(int n)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BytesReadTracker

    public BytesReadTracker(java.io.DataInput source)

Method Detail

### getBytesRead

    public long getBytesRead()

### reset

    public void reset(long count)

  reset counter to @param count

### readBoolean

    public boolean readBoolean()
                        throws java.io.IOException

  Specified by:
    `readBoolean` in interface `java.io.DataInput`
  Throws:
    `java.io.IOException`

### readByte

    public byte readByte()
                  throws java.io.IOException

  Specified by:
    `readByte` in interface `java.io.DataInput`
  Throws:
    `java.io.IOException`

### readChar

    public char readChar()
                  throws java.io.IOException

  Specified by:
    `readChar` in interface `java.io.DataInput`
  Throws:
    `java.io.IOException`

### readDouble

    public double readDouble()
                      throws java.io.IOException

  Specified by:
    `readDouble` in interface `java.io.DataInput`
  Throws:
    `java.io.IOException`

### readFloat

    public float readFloat()
                    throws java.io.IOException

  Specified by:
    `readFloat` in interface `java.io.DataInput`
  Throws:
    `java.io.IOException`

### readFully

    public void readFully(byte[] b,
                          int off,
                          int len)
                   throws java.io.IOException

  Specified by:
    `readFully` in interface `java.io.DataInput`
  Throws:
    `java.io.IOException`

### readFully

    public void readFully(byte[] b)
                   throws java.io.IOException

  Specified by:
    `readFully` in interface `java.io.DataInput`
  Throws:
    `java.io.IOException`

### readInt

    public int readInt()
                throws java.io.IOException

  Specified by:
    `readInt` in interface `java.io.DataInput`
  Throws:
    `java.io.IOException`

### readLine

    public java.lang.String readLine()
                              throws java.io.IOException

  Specified by:
    `readLine` in interface `java.io.DataInput`
  Throws:
    `java.io.IOException`

### readLong

    public long readLong()
                  throws java.io.IOException

  Specified by:
    `readLong` in interface `java.io.DataInput`
  Throws:
    `java.io.IOException`

### readShort

    public short readShort()
                    throws java.io.IOException

  Specified by:
    `readShort` in interface `java.io.DataInput`
  Throws:
    `java.io.IOException`

### readUTF

    public java.lang.String readUTF()
                             throws java.io.IOException

  Specified by:
    `readUTF` in interface `java.io.DataInput`
  Throws:
    `java.io.IOException`

### readUnsignedByte

    public int readUnsignedByte()
                         throws java.io.IOException

  Specified by:
    `readUnsignedByte` in interface `java.io.DataInput`
  Throws:
    `java.io.IOException`

### readUnsignedShort

    public int readUnsignedShort()
                          throws java.io.IOException

  Specified by:
    `readUnsignedShort` in interface `java.io.DataInput`
  Throws:
    `java.io.IOException`

### skipBytes

    public int skipBytes(int n)
                  throws java.io.IOException

  Specified by:
    `skipBytes` in interface `java.io.DataInput`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation